%
% plot02.m
%
% Plot sin(x)
%
% Programming Concepts:  Simple line plot, set plot limits
%
% Matlab-Monkey.com
% 12/30/2014

% tidy-up your workspace
clc         % clear command window
clear       % clear all variables
close all   % close all graphics windows

x = linspace(0,2*pi,100);    % define 100 x values from 0 to 2 pi
y = sin(x);                  % calculate sin(x)
plot(x,y)                    % plot y vs. x

% set the plot limits on the x and y axes
xlim([0 2*pi]);
ylim([-1.2, 1.2]);

% label x and y axes and give the plot a title
xlabel('x')
ylabel('sin(x)')
title('Sine function over one period', 'FontSize',14)

w = 6;      % plot width in inches
h = 4;      % plot height in inches
set(gcf, 'PaperSize', [w h]);  
set(gcf, 'PaperPosition', [0 0 w h]);  
print ('-dpdf','plot02.pdf');
print ('-dpng','html/plot02.png');