%
% plot03.m
%
% Plot sin(x) and annotate the graph with some fancy Greek letters. Figure
% out which data point is in the middle of the data set and draw an arrow
% to it with a caption.
%
% Matlab-Monkey.com
% 12/30/2014

% tidy-up your workspace
clc         % clear command window
clear       % clear all variables
close all   % close all graphics windows

x = linspace(0,2*pi,60);     % define 60 x values from 0 to 2 pi
y = sin(x);                  % calculate sin(x)
plot(x,y,'bo')               % plot y vs. x

% set the plot limits on the x and y axes
xlim([-0.2 2*pi+0.2]);
ylim([-1.2, 1.2]);

% label x and y axes and give the plot a title
xlabel('\theta');
ylabel('sin(\theta)');
title('Annotation Example');

% calculate the index of the middle data point
% Use the x and y coordinates of this data point to position a text
% annotation. Then write some randon Greek letters near the bottom of the
% plot (just because I can).
mid = round(length(x)/2);
text(x(mid)+0.1,y(mid),'\leftarrow Here is my favorite data point');
text(0.1,-1,'Some random Greek letters:  \alpha, \theta, \Sigma, \phi, \pi');


set(gcf, 'PaperSize', [6 4]);  
set(gcf, 'PaperPosition', [0 0 6 4]);  
print ('-dpdf','plot3.pdf');
print ('-dpng','html/plot03.png');