%
% plot04.m
%
% Demonstrates how to save a plot to a pdf file
%
% Matlab-Monkey.com
% 12/30/2014

% tidy-up your workspace
clc         % clear command window
clear       % clear all variables
close all   % close all graphics windows


x = 0:0.5:10;   % x values range from 1 to 10 in steps of 0.5
y = x.^2;       % squre each element in x array and store in y

% plot y vs. x 
plot(x,y,'bo','MarkerFaceColor','b')  

xlabel('x (m)')     % label horizontal axis
ylabel('y (m^2)')   % label vertical axis
title('y = x^2')    % title

h = 4;                                  % height of plot in inches
w = 6;                                  % width of plot in inches
set(gcf, 'PaperSize', [w h]);           % set size of PDF page
set(gcf, 'PaperPosition', [0 0 w h]);   % put plot in lower-left corner
print ('-dpdf','plot04.pdf');           % save plot as pdf file
