%
% plot09.m
%
% Plot Lissajous pattern to demostrate parametric plot. Use axis equal
% command to ensure the x and y axes have same scaling (i.e. a circle will
% look like a circle and not an ellipse).
%
%
% Matlab-Monkey.com
% 12/30/2014

% tidy-up your workspace
clc         % clear command window
clear       % clear all variables
close all   % close all graphics windows


kx = 7;      % wavenumber of x wave
ky = 5;      % wavenumber of y wave

t = linspace(0,2*pi,1000);  % define 1000 x values from 0 to 2 pi

x = sin(kx*t);               % x wave
y = sin(ky*t+pi/2);          % y wave

plot(x,y,'b-')              % plot blue curve
axis equal                  % scale same for both axes
axis([-1.2 1.2 -1.2 1.2]);  % set plot range

% label axes and add title
xlabel('x');
ylabel('y');
str = sprintf('%i:%i Lissajous Pattern',kx,ky);
title(str);


w = 6;      % plot width in inches
h = 6;      % plot height in inches
set(gcf, 'PaperSize', [w h]);  
set(gcf, 'PaperPosition', [0 0 w h]);  
print ('-dpdf','plot09.pdf');
print ('-dpng','html/plot09.png');